# string.h File Reference

`#include <ubixos/types.h>`

Go to the source code of this file.

## Functions

void * | kmemcpy (void *dst, const void *src, size_t length)
void * | kmemset (void *dst, int c, size_t length)
int | kstrlen (const char *string)
int | sprintf (char *str, const char *format,...)

## Function Documentation

void* kmemcpy | ( | void * | dst,
|  | const void * | src,
|  | size_t | length
| ) |

void* kmemset | ( | void * | dst,
|  | int | c,
|  | size_t | length
| ) |

int kstrlen | ( | const char * | string | ) |

int sprintf | ( | char * | str,
|  | const char * | format,
|  | ... |
| ) |